import { ProcessResponse } from '../../../models';
import { eGraphicFieldType, eLights } from '../../../consts';
import { RGraphicField } from './models';
/**
* Get graphic field
* @param {ProcessResponse} input - DocumentReader response
* @param {eGraphicFieldType} fieldType - Field type
* @param {true} allowDefaultImage - Allow default image if no image found
* @param {eLights[]} lights - Light indexes
* @returns {Promise<RGraphicField}
*/
export declare function getGraphicField(input: ProcessResponse, fieldType: eGraphicFieldType, allowDefaultImage?: true, lights?: eLights[]): Promise<RGraphicField>;
/**
* Get graphic field
* @param {ProcessResponse} input - DocumentReader response
* @param {eGraphicFieldType} fieldType - Field type
* @param {false} allowDefaultImage - Allow default image if no image found
* @param {eLights[]} lights - Light indexes
* @returns {Promise<RGraphicField | undefined>}
*/
export declare function getGraphicField(input: ProcessResponse, fieldType: eGraphicFieldType, allowDefaultImage?: false, lights?: eLights[]): Promise<RGraphicField | undefined>;
/**
* Get graphic field (sync version - without image dimensions)
* @param {ProcessResponse} input - DocumentReader response
* @param {eGraphicFieldType} fieldType - Field type
* @param {true} allowDefaultImage - Allow default image if no image found
* @param {eLights[]} lights - Light indexes
* @returns {RGraphicField}
*/
export declare function getGraphicFieldSync(input: ProcessResponse, fieldType: eGraphicFieldType, allowDefaultImage?: true, lights?: eLights[]): RGraphicField;
/**
* Get graphic field (sync version - without image dimensions)
* @param {ProcessResponse} input - DocumentReader response
* @param {eGraphicFieldType} fieldType - Field type
* @param {false} allowDefaultImage - Allow default image if no image found
* @param {eLights[]} lights - Light indexes
* @returns {RGraphicField | undefined}
*/
export declare function getGraphicFieldSync(input: ProcessResponse, fieldType: eGraphicFieldType, allowDefaultImage?: false, lights?: eLights[]): RGraphicField | undefined;
